#!/bin/sh

if test "$DEBUG"; then
    set -x
fi
umask 0002
RUNTIME_USER=opensearch
. /usr/local/bin/nsswrapper.sh

OPENSEARCH_HOME=${OPENSEARCH_HOME:-/usr/share/opensearch}
OPENSEARCH_JVM_XMS=${OPENSEARCH_JVM_XMS:-512m}
OPENSEARCH_JVM_XMX=${OPENSEARCH_JVM_XMX:-512m}

sed -e "s|XMS|$OPENSEARCH_JVM_XMS|" \
    -e "s|XMX|$OPENSEARCH_JVM_XMX|" \
    /jvm.options \
    >$OPENSEARCH_HOME/config/jvm.options

TCK=`getconf CLK_TCK`
echo "-Dclk.tck=$TCK" >>$OPENSEARCH_HOME/config/jvm.options

unset OPENSEARCH_CLUSTER_NAME OPENSEARCH_DATA_DIR OPENSEARCH_HAS_MASTERS \
    OPENSEARCH_JVM_XMS OPENSEARCH_JVM_XMX OPENSEARCH_PING_INTERVAL TCK \
    OPENSEARCH_PING_RETRIES OPENSEARCH_PING_TIMEOUT OPENSEARCH_SERVER_ID \
    OPENSEARCH_IS_DATA OPENSEARCH_IS_MASTER OPENSEARCH_IS_INGEST POD_IP \
    OPENSEARCH_MIN_MASTER OPENSEARCH_MASTER_SVC OPENSEARCH_BASENAME \
    OPENSEARCH_NODENAME

if ! chmod -R 755 /dev/shm; then
    echo "ignoring exit code $? chmoding /dev/shm"
fi

exec $OPENSEARCH_HOME/bin/performance-analyzer-agent-cli
